
/*******************************************************************************
* This file was generated by UI Builder.
* This file will be auto-generated each and everytime you save your project.
* Do not hand edit this file.
********************************************************************************/
		#include "g_inc_uib.h"
#include "uib_views.h"
#include "uib_views_inc.h"
#include "uib_app_manager.h"


/* event handler declarations */
void NotifDetail_onuib_view_create(uib_NotifDetail_view_context*, Evas_Object*, void*);
void NotifDetail_onuib_view_destroy(uib_NotifDetail_view_context*, Evas_Object*, void*);

uib_view_context* uib_view_NotifDetail_create(Evas_Object* parent, void* create_callback_param) {
	uib_NotifDetail_view_context* vc = calloc(1, sizeof(uib_NotifDetail_view_context));
	vc->parent = parent;
	vc->view_name = "NotifDetail";
	vc->indicator_state = ELM_WIN_INDICATOR_SHOW;
	vc->is_user_view = false;
	uib_app_manager_get_instance()->add_view_context((uib_view_context*)vc);
	if (!vc->ScrollContainer) {
		vc->ScrollContainer= elm_scroller_add(parent);
		vc->circle_object_ScrollContainer= eext_circle_object_scroller_add(vc->ScrollContainer, uib_views_get_instance()->get_window_obj()->circle_surface);
		eext_rotary_object_event_activated_set(vc->circle_object_ScrollContainer, EINA_TRUE);
		vc->root_container = vc->ScrollContainer;
	}
	uib_views_get_instance()->set_targeted_view((uib_view_context*)vc);

	//bind event handler
	evas_object_smart_callback_add(vc->root_container, "uib,view,create", (Evas_Smart_Cb)NotifDetail_onuib_view_create, vc);
	evas_object_smart_callback_add(vc->root_container, "uib,view,destroy", (Evas_Smart_Cb)NotifDetail_onuib_view_destroy, vc);


	evas_object_data_set(vc->root_container, KEY_VIEW_CONTEXT, vc);
	uib_views_create_callback(vc, evas_object_evas_get(vc->root_container), vc->root_container, create_callback_param);
	evas_object_event_callback_add(vc->root_container, EVAS_CALLBACK_DEL, (Evas_Object_Event_Cb)uib_views_destroy_callback, vc);

	return (uib_view_context*)vc;
}
void uib_NotifDetail_config_CIRCLE_360x360_portrait() {
	uib_app_manager_st* uib_app_manager = uib_app_manager_get_instance();
	uib_NotifDetail_view_context* vc = (uib_NotifDetail_view_context*)uib_app_manager->find_view_context("NotifDetail");
	if(!vc) {
		return;
	}
	if(vc->ScrollContainer) {
		evas_object_size_hint_align_set(vc->ScrollContainer, -1.0, -1.0);		evas_object_size_hint_weight_set(vc->ScrollContainer, 1.0, 1.0);		elm_scroller_content_min_limit(vc->ScrollContainer, EINA_FALSE, EINA_FALSE); 
		elm_scroller_policy_set(vc->ScrollContainer, (Elm_Scroller_Policy)ELM_SCROLLER_POLICY_AUTO, (Elm_Scroller_Policy)ELM_SCROLLER_POLICY_OFF);
		elm_scroller_propagate_events_set(vc->ScrollContainer, EINA_TRUE);
		if (!vc->notifList) {
			vc->notifList = elm_label_add(vc->ScrollContainer);
		}
		if(vc->notifList) {
			evas_object_size_hint_align_set(vc->notifList, 0.5, 0.5);			evas_object_size_hint_weight_set(vc->notifList, .5, .5);			elm_label_line_wrap_set(vc->notifList, (Elm_Wrap_Type)ELM_WRAP_WORD);
			elm_label_wrap_width_set(vc->notifList,0);
			elm_label_ellipsis_set(vc->notifList, EINA_TRUE);
			evas_object_show(vc->notifList);
		}
		elm_object_content_set(vc->ScrollContainer,vc->notifList);
		evas_object_show(vc->ScrollContainer);
	}
}

